/*
 * Author: Andreas Ericsson <ae@op5.se>
 * Copyleft: GPLv2 (http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt)
 *
 * To compile:
 *   gcc -o nebsor.o -fPIC -c -DDSO="nebsor.so" -I. -O1 -pipe -Wall nebsor.c
 *   gcc -shared -nostartfiles -fPIC nebsor.o -o nebsor.so
 */

#include <nagios/broker.h>
#include <nagios/nebcallbacks.h>
#include <nagios/nebstructs.h>

NEB_API_VERSION(CURRENT_NEB_API_VERSION);

static nebmodule *neb_handle;

int nebmodule_init(int flags, char *arg, nebmodule *mod)
{
	neb_handle = mod;

	return 0;
}

int nebmodule_deinit(int flags, int reason)
{
	return neb_deregister_module_callbacks(neb_handle);
}
